Get Gate criteria Form
Retrieves Gate criteria Form based on unique productId,manufacturerId
Query Parameters
- 200
- 400
- 500
Successful Response
Schema
data object required
Section to carry responses
eligibilityMapping object required
This section will carry the eligibility criteria of the product.
fieldGroups object
This section will carry multiple sub field groups and fields. Each field will carry attributes which give additional information. example: name, description, type, pattern, order, visibility, validation, mandatory, etc
distributor required
This section will give details of intermediary (Broker, corporate Agent or Bank acting as intermediary)
fields object
This section will carry attributes which give additional information. example: name, description, type, pattern, order, visibility, validation, mandatory, etc
Possible values: <= 20 characters
Distributor ID assign to each consumer by 1SB
Possible values: <= 30 characters
agent code. Eg. PoSP code or SP code provided by insurance company.
Possible values: <= 20 characters, [B2B, B2C]
Indicates if the transaction is B2B or B2C.
personalInformation object required
Section to capture personal details of the life assured
fields object
This section will carry attributes which give additional information. example: name, description, type, pattern, order, visibility, validation, mandatory, etc
Possible values: <= 50 characters
First Name as per official ID (PAN)
Possible values: <= 50 characters
Last Name as per official ID (PAN)
This array contains error messages in case of an error
Request Id for the quote assigned by 1SB
{
"data": {
"eligibilityMapping": {
"fieldGroups": {
"distributor": {
"fields": {
"distributorID": "D001",
"agentCode": "7055555077",
"channelType": "B2B"
}
},
"personalInformation": {
"fields": {
"firstName": "Jane",
"lastName": "Doe"
}
}
}
}
},
"errors": [
{}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}